---
title: 'noKYC Only'
date: 2025-03-03T14:04:53-06:00
image: "/images/noKYConly.png"
---

*Avoid the creep.*

**Note**: This article was written by Bitcoin_QnA, not me; I am simply hosting a clearnet and .onion mirror on my blog for archival and convenience purposes.  
**Original [piece](https://bitcoiner.guide/nokyconly/)**.

![noKYC Only](/images/noKYConly.png)

KYC or ‘Know your customer’ is a regulation that any businesses with a banking relationship has to abide by. Bitcoin exchanges are no different. These rules are imposed worldwide and are geared towards ensuring that a business acting as a money exchange and/or transmitter has ‘suitable’ information on every customer they serve.

Within the Bitcoin space, ‘creeping KYC’ is a disease that is slowly spreading. If you purchase through one of these regulated entities, you essentially tag your bitcoin addresses to your personal identity. This makes it trivial for chain surveillance firms, the companies they work with, or worse, governments, to potentially…

- Track your spending habits
- Prevent you from using other regulated services
- Confiscate your bitcoin
- Come after you for tax liabilities
- Generally know more about you than they should

We get it, auto DCA from a Bitcoin only company makes ‘stacking sats’ super simple and easy. We aren’t saying these companies are bad actors, far from it. We merely want you to think about what you have to give up or risk for this simplicity. Read on and come to your own conclusion…

# What information will I have to provide?

To buy bitcoin from a KYC exchange, users will need to provide personal information. How much you need to supply varies from one to the next, some may require a simple name for small amounts (you could easily supply an alias) and others may require them all. Most will ask for any combination of the following…

- Name
- Address
- Phone number
- Drivers license
- Government ID
- A selfie holding a piece of paper with the name of the exchange and the date
- A video call with the exchange

# Why is providing this information a risk?

### Data leaks

KYC information ties your personal identity to any bitcoin you purchase. The exchange knows…

- How much you bought
- When you bought it
- Your banking information
- Where you withdraw to

A central party holding millions of people’s sensitive and personal information creates a huge honey pot at risk of being stolen due to incompetent security practices at some of these companies. How would you feel if your name, address, photo and exactly how much Bitcoin you own was stolen from an exchange and being sold to the highest bidder on a darknet market? This sounds like scaremongering but data leaks happen all too [often](https://twitter.com/search?q=reminder%20from%3A%40bitcoinq_a&src=typed_query&f=live)!

### Censorship

Most of these exchanges work, in some shape or form, directly with chain surveillance firms (and some, directly with government agencies!) to remain compliant in their chosen jurisdiction. The completely transparent nature of the Bitcoin blockchain means that anyone with the correct toolset (such as a chain surveillance firm) can follow your activity. If you withdraw to, or deposit from an entity that the exchange does not like, they can freeze or even close your account. Not exactly fitting with the censorship resistant properties that Bitcoin is renowned for!

### 6102 type order

[Executive Order 6102](https://en.wikipedia.org/wiki/Executive_Order_6102) is an executive order signed on April 5, 1933, by US President Franklin D. Roosevelt “forbidding the hoarding of gold coin, gold bullion, and gold certificates within the continental United States.”

If the government in your country were to exercise a similar order against Bitcoin, anyone who bought bitcoin via a KYC source would be an easy target for confiscation. The excuse that you ‘lost it in a boating accident’ isn’t going to get you far when under duress from a three letter agency. Tax agencies worldwide put the onus on the individual to prove innocence, it isn’t for them to prove that you haven’t paid tax.

Not to mention the fact that they will know the addresses you withdrew to and could watch those for any movements (The blockchain is completely transparent don’t forget).

Coinjoin can obfuscate the final address of your coins if you practice good postmix spending habits, but this does not change the fact that they know exactly how much you bought and when you bought it.

# Do I have any other options?

Thankfully there are some options out there to purchase Bitcoin via no KYC sources. These are all P2P (peer to peer) exchanges where you are trading directly with another individual and not a centralised third party. Unfortunately some sell other coins as well as bitcoin so we urge you to take care.

- [Hodl Hodl](https://en.wikipedia.org/wiki/Executive_Order_6102)
- [Bisq](https://bisq.network/)
- [RoboSats](https://github.com/Reckless-Satoshi/robosats#bitcoin-mainnet)
- [Local Coin Swap](https://localcoinswap.com/)
- [Peach Bitcoin](https://peachbitcoin.com/)

You can find more at [KYC, not me!](http://kycnot.me/) and [here](https://github.com/cointastical/P2P-Trading-Exchanges/).

### Bitcoin ATMs

ATM’s are another great option, but use with caution as some still require varying levels of identification depending on the amount being purchased. A lot will just require a phone number so ensure you use one that is not tagged to your personal identity. Check out [Coin ATM Radar](https://coinatmradar.com/) for a great overview of what is available in your local area.

# Doesn’t buying no-KYC bitcoin come with a hefty premium?

It is absolutelty true that you will see some offers to purchase bitcoin on P2P exchanges for some **very** high premiums over the spot price. However if you are patient enough you can pick some up at spot or just marginally (1-4%) above. Both Bisq and Hodl Hodl allow you to create a ‘Buy offer’ which is essentially, you telling the market that you want to buy ‘X’ amount of bitcoin at ‘X%’ relative to the spot price. All you need to do then is wait for a seller to accept your offer and complete the trade.

We personally take this approach and have never waited for more than a day for someone to accept the offer of around 2-4% premium, which we are all too happy to pay for the vast increase in privacy gained.

# A thought experiment regarding the no-KYC ‘premium’

If you ever sell KYC bitcoin, depending on your jurisdiction, you will likely pay around 20% of your gain in Capital Gains Tax (or equivalent VAT/GST obligations). If you buy a 1 BTC at $10,000 and sell at $20,000, you are liable to pay around $2000 in taxes.

If you bought that same 1 BTC with a 4% premium over the $10,000 spot price you would have paid $10,400 for the same amount of sats and the only person who knows you own them is your trade counterparty. You are still required to pay Capital Gains Tax (or equivalent), but it’s highly unlikely that your trade counterparty is subject to KYC information obligations.

# How else can I get some no-KYC bitcoin?

There are a number of ways, each with varying levels of difficulty and complexity…

- Earn it
- Sell unwanted goods for it
- Buy it from a friend or at a local meetup
- Provide value to others and have a [donations](https://bitcoiner.guide/tips) page
- Pay for dinner when out with friends and ask them to reimburse you via bitcoin (perhaps for a slight discount?)
- Mine it (check out [this](https://github.com/econoalchemist/econoalchemist.github.io/blob/main/static/Mining-for-the-Streets.pdf) great piece on garage mining)

# What is ‘shotgun’ KYC?

This is where an exchange offers account signup without KYC and subsequently requests it from users when they try to withdraw funds. You can avoid this by steering clear of centralised exchanges with a single point of failure and sticking with P2P options listed above.

# Can I un-KYC myself?

Once you have purchased Bitcoin from a KYC source you can **never** undo that. Not even with advanced techniques like Coinjoin that create forward looking privacy. You have three main options…

### Go back out the way you came and start fresh

Sell your KYC bought coins back at the exchange you bought them from. Depending on your jurisdiction, this will likely create a taxable event that you will need to contend with but you will then have a paper trail to prove you no longer own those coins. This process provides you with a ‘clean start’ from which you can begin obtaining bitcoin via a non-KYC source, safe in the knowledge that you are no longer at vulnerable to the risks outlined above (apart from the data leaks as the regulated entities are required by law to hold these records for a while).

### Keep two stacks

Cease purchasing bitcoin via KYC sources immediately and completely segregate and label those funds. Start obtaining bitcoin via a non-KYC source, ensuring you maintain complete segregation. This option still leaves you vulnerable to some of the risks outlined above but may be more paletable for those with smaller KYC amounts or those not wanting to sell and deal with taxable events.

You should also consider coinjoining your KYC stack. This will not erase your KYC history but it would give forward looking privacy for future transactions. Whirlpool is by far the easiest and most effective coinjoin implementation, learn more here.

### Move jurisdictions

This is more on the extreme end of the spectrum, but moving jurisdictions could be an option to free you from future obligations. Of course this is not a 100% guarantee as certain jurisdictions may have information sharing agreements (the EU for example).

# KYC is dangerous, ineffective and puts people at risk.
# Avoid the creep.
# no-KYC only.

![noKYC Only](/images/noKYConly.png)
